Package org.bukkit.material

# Class Torch

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData
org.bukkit.material.Torch

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`

Direct Known Subclasses:
  `RedstoneTorch`

@Deprecated public class Torch extends SimpleAttachableMaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
MaterialData for torches

## Constructor Summary

Constructors
Constructor
Description
`Torch()`
Deprecated.
`Torch(Material type)`
Deprecated.
`Torch(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Torch`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in

### Methods inherited from class org.bukkit.material.SimpleAttachableMaterialData

`getFacing, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Torch

public Torch()
Deprecated.

### Torch

public Torch(Material type)
Deprecated.

### Torch

@Deprecated public Torch(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Gets the face that this block is attached on

Returns:
  BlockFace attached to

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Parameters:
  `face` - The facing direction

### clone

public Torch clone()
Deprecated.

Overrides:
  `clone` in class `SimpleAttachableMaterialData`